<?php
	$path = "../../";
	
	$headTitle = "Competition Meter";
	$pageTitle = "Competition Results";
	require $path . "includes/header.php";
	require $path . "includes/dom.php";
	
	$websites = array();
	
	$websites[] = array(
		'Url' => $_POST['url'],
		'Name' => "Your Website"
	);
	
	$websites[] = array(
		'Url' => $_POST['cmp1'],
		'Name' => "Competitor #1"
	);
	
	if($_POST['cmp2']) {
		$websites[] = array(
			'Url' => $_POST['cmp2'],
			'Name' => "Competitor #2"
		);
	}
	
	// Find pageranks //
	
	foreach($websites as $i=>$www) {
		$websites[$i]['PageRank'] = GooglePageRankChecker::getRank(@$www['Url']);
	}
	
	// Find # of backlinks and mentions //
	
	foreach($websites as $i=>$www) {
		$wwwLink = parse_url($www['Url']);
		$wwwLink = str_replace("www.", "", $wwwLink['host']);
		
		$googleResult1 = file_get_html("https://www.google.com/search?q=" . urlencode('"'.$wwwLink.'"'));
		$googleResult2 = file_get_html("https://www.google.com/search?q=" . urlencode('"www.'.$wwwLink.'"'));
		
		$googleResults1 = $googleResult1->find('div[id=resultStats]', 0)->innertext;
		$googleResults1 = str_replace("About ", "", $googleResults1);
		$googleResults1 = str_replace(" results", "", $googleResults1);
		$googleResults1 = str_replace(",", "", $googleResults1);
		
		$googleResults2 = $googleResult2->find('div[id=resultStats]', 0)->innertext;
		$googleResults2 = str_replace("About ", "", $googleResults2);
		$googleResults2 = str_replace(" results", "", $googleResults2);
		$googleResults2 = str_replace(",", "", $googleResults2);
		
		$websites[$i]['Backlinks'] = $googleResults1 + $googleResults2;
	}
	
	// Determine a 'score' for all of them. Just points.
	
	$highestScore = 0;
	$highestRow = null;
	
	foreach($websites as $i=>$www) {
		$backlinks = $www['Backlinks'];
		$pageRank = $www['PageRank'];
		
		$backlinkScore = $backlinks * 1;	 // multiplier of 1
		$pageRankScore = $pageRank * 100; 	 // multiplier of 100
		
		$score = $backlinkScore + $pageRankScore;
		
		$websites[$i]['Score'] = $score;
		
		if($score > $highestScore) {
			$highestScore = $score;
			$highestRow = $i;
		}
	}
	
	$website1 = round(($websites[0]['Score'] / $highestScore) * 100);
	$website2 = round(($websites[1]['Score'] / $highestScore) * 100);
	if($websites[2]) $website3 = round(($websites[2]['Score'] / $highestScore) * 100);
?>

<div class="Column-3">
	<div class="Section <?php if($highestRow == 0) { ?>Blue<?php } else { ?>Gray<?php } ?>">
		<b class="HeaderTitle"><?=$websites[0]['Name'];?> Results</b>
		
		<p>You scored <?=$website1;?>% compared to the top website, which is highlighted in blue.</p>
		<p>
			<div class="ProgressBar">
				<div class="Fill" style="width: <?=$website1;?>%;"></div>
			</div>
		</p>
		<p>
			<?=$websites[0]['Url'];?>
		</p>
	</div>
</div>

<div class="Column-3">
	<div class="Section <?php if($highestRow == 1) { ?>Blue<?php } else { ?>Gray<?php } ?>">
		<b class="HeaderTitle"><?=$websites[1]['Name'];?> Results</b>
		
		<p>Scored <?=$website2;?>% compared to the top website, which is highlighted in blue.</p>
		<p>
			<div class="ProgressBar">
				<div class="Fill" style="width: <?=$website2;?>%;"></div>
			</div>
		</p>
		<p>
			<?=$websites[1]['Url'];?>
		</p>
	</div>
</div>

<?php if($websites[2]) { ?>

<div class="Column-3">
	<div class="Section <?php if($highestRow == 2) { ?>Blue<?php } else { ?>Gray<?php } ?>">
		<b class="HeaderTitle"><?=$websites[2]['Name'];?> Results</b>
		
		<p>Scored <?=$website3;?>% compared to the top website, which is highlighted in blue.</p>
		<p>
			<div class="ProgressBar">
				<div class="Fill" style="width: <?=$website3;?>%;"></div>
			</div>
		</p>
		<p>
			<?=$websites[2]['Url'];?>
		</p>
	</div>
</div>

<?php } else { ?>

<div class="Column-3">
	<div class="Section <?php if($highestRow == 2) { ?>Blue<?php } else { ?>Gray<?php } ?>">
		<b class="HeaderTitle">No Competitor Chosen</b>
		
		<p>A score could not be decided. You did not provide a third competitor.</p>
		<p>
			<div class="ProgressBar">
				<div class="Fill" style="width: 0%;"></div>
			</div>
		</p>
	</div>
</div>

<?php } ?>

<div class="Clear"></div>

<p>
	Your website had a PageRank of <?=$websites[0]['PageRank'];?>, and a total of <?=$websites[0]['Backlinks'];?> backlinks.
	Competitor #1's website had a PageRank of <?=$websites[1]['PageRank'];?>, and a total of <?=$websites[1]['Backlinks'];?> backlinks.
	<?php if($websites[2]) { ?>Competitor #2's website had a PageRank of <?=$websites[2]['PageRank'];?>, and a total of <?=$websites[2]['Backlinks'];?> backlinks.
	<?php } else { ?>You did not provide a URL for the third competitor.<?php } ?>
</p>
<p>
	Want to choose different links? <a href="index.php">Click here to go back.</a>
</p>

<?php
	require $path . "includes/footer.php";
?>
