<?php
	$path = "../../";
	
	$headTitle = "Keyword Cleaner";
	$pageTitle = "Keyword Cleaner";
	require $path . "includes/header.php";
	
	$tags = $_POST['keywords'];
	$tagsList = array();
	
	// Step 1	Split the keywords into an array, no matter the way they were seperated //
	
	$tags = str_replace("\r\n", "\n", $tags);
	$tags = str_replace("\n", ",", $tags);
	
	$tagsList = explode(",", $tags);
	
	// Step 2	Clean the keywords of extra whitespace & lowercase them all //
	
	foreach($tagsList as $i => $tag) {
		$tagsList[$i] = strtolower(trim($tag));
	}
	
	// Step 3	Remove duplicate entries //
	
	$tagsFound = array();
	
	foreach($tagsList as $i => $tag) {
		if(in_array($tag, $tagsFound)) {
			unset($tagsList[$i]);
		}
		else $tagsFound[] = $tag;
	}
	
	// Step 4	Re-format all of the tags and input them into a new array //
	
	$cleanedTags = array();
	
	foreach($tagsList as $i => $tag) {
		if($tag) $cleanedTags[] = ucwords($tag);
	}
	
	// All done. Thanks for reading through. :)
?>

	<p>
		Your keyword list has been cleaned. Here you go.
	</p>
	
	<div class="Column-2">
			<div class="Section Gray">
			<b class="HeaderTitle">Cleaned List (Version 1)</b>
			
			<p>This is your cleaned list, seperated by commas and spaces.</p>
			
			<p>
				<div style="border: 1px solid #aaa; background: #fff; padding: 10px; color: #333; font-size: 10px; overflow-y:auto; max-height: 150px;">
					<?=implode(', ', $cleanedTags);?>
				</div>
			</p>
		</div>
	</div>
	
	<div class="Column-2">
			<div class="Section Gray">
			<b class="HeaderTitle">Cleaned List (Version 2)</b>
			
			<p>This is your cleaned list, seperated onto their own lines.</p>
			
			<p>
				<div style="border: 1px solid #aaa; background: #fff; padding: 10px; color: #333; font-size: 10px; overflow-y:auto; max-height: 150px;">
					<?=implode('<br />', $cleanedTags);?>
				</div>
			</p>
		</div>
	</div>
	
	<div class="Clear"></div>

<?php
	require $path . "includes/footer.php";
?>
