<?php
	$path = "../../";
	
	$headTitle = "Meta Tag Generator";
	$pageTitle = "Meta Tag Generator";
	require $path . "includes/header.php";
?>

	<p>
		We could all use a little extra help sometimes. This tool will take your keywords, description, and other settings, and compile a series of
		HTML meta tags for you to place on your website.
	</p>
	
	<form action="compile.php" method="POST">
		<div class="Section Gray" style="margin-bottom: 15px;">
			<b class="HeaderTitle">Describe Your Website</b>
			<p>This will often appear when people look up your website, so use something catchy.</p>
			
			<textarea name="description" class="textbox" style="width: 98%; height: 70px;"></textarea>
		</div>
		
		<div class="Section Gray" style="margin-bottom: 15px;">
			<b class="HeaderTitle">Provide Your Keywords</b>
			<p>Give us all of your keywords. Please put one keyphrase per line, or place them in one single line and separate them all with commas.</p>
			
			<textarea name="keywords" class="textbox" style="width: 98%; height: 70px;"></textarea>
		</div>
		
		<div class="Column-3">
			<div class="Section Gray" style="margin-bottom: 15px;">
				<b class="HeaderTitle">Robots</b>
				<p>How will robots crawl your site?</p>
				
				<select name="robots" class="select" style="width: 260px;">
					<option value="index, follow">Crawl every page and index them</option>
					<option value="index, nofollow">Index this page but do not crawl others</option>
					<option value="noindex, follow">Crawl each page but do not index this one</option>
					<option value="noindex, nofollow">Do not crawl other pages nor index this page</option>
				</select>
			</div>
		</div>
		
		<div class="Column-3">
			<div class="Section Gray" style="margin-bottom: 15px;">
				<b class="HeaderTitle">Revisit Durations</b>
				<p>How often should crawlers visit?</p>
				
				<select name="revisit" class="select" style="width: 260px;">
					<option value="1 day">Every day</option>
					<option value="7 day">Every week</option>
					<option value="14 day">Every 2 weeks</option>
					<option value="1 month">Every month</option>
				</select>
			</div>
		</div>
		
		<div class="Column-3">
			<div class="Section Gray" style="margin-bottom: 15px;">
				<b class="HeaderTitle">Content Type</b>
				<p>What content type should we use?</p>
				
				<select name="content_type" class="select" style="width: 260px;">
					<option value="text/html; charset=utf-8">UTF-8 (recommended)</option>
					<option value="text/html; charset=iso-8859-1">ISO-8859-1</option>
				</select>
			</div>
		</div>
		
		<div class="Clear"></div>
		
		<div class="Column-3">
			<div class="Section Gray" style="margin-bottom: 15px;">
				<b class="HeaderTitle">Website Language</b>
				<p>What language is your website?</p>
				
				<select name="language" class="select" style="width: 260px;">
					<option value="English">English</option>
					<option value="Spanish">Spanish</option>
					<option value="Mandarin">Mandarin</option>
					<option value="Japanese">Japanese</option>
					<option value="Korean">Korean</option>
					<option value="French">French</option>
					<option value="Portuguese">Portuguese</option>
					<option value="Malay-Indonesian">Malay-Indonesian</option>
					<option value="Bengali">Bengali</option>
					<option value="Arabic">Arabic</option>
					<option value="Russian">Russian</option>
					<option value="Hindustani">Hindustani</option>
					<option value="N/A">Other...</option>
				</select>
			</div>
		</div>
		
		<div class="Column-3">
			<div class="Section Gray" style="margin-bottom: 15px;">
				<b class="HeaderTitle">Website Generator</b>
				<p>How was the website built?</p>
				
				<select name="generator" class="select" style="width: 260px;">
					<option value="N/A">I made it from HTML!</option>
					<option value="WordPress">WordPress</option>
					<option value="Dreamweaver">Dreamweaver</option>
					<option value="EditPlus">EditPlus</option>
					<option value="Frontpage">Frontpage</option>
					<option value="Joomla">Joomla</option>
					<option value="N/A">Other</option>
					<option value="N/A">Unknown</option>
				</select>
			</div>
		</div>
		
		<div class="Column-3">
			<div class="Section Blue" style="margin-bottom: 15px;">
				<b class="HeaderTitle">Finished Yet?</b>
				<p>If everything looks good, click below.</p>
				
				<input type="submit" class="mbutton" value="Compile Meta Now" />
			</div>
		</div>
		
		<div class="Clear"></div>
	</form>

<?php
	require $path . "includes/footer.php";
?>
