<?php
	$path = "../../";
	
	$headTitle = "Page Rank Results";
	$pageTitle = "Page Rank Results";
	
	require $path . "includes/header.php";
	require $path . "includes/dom.php";
	
	$websites = array();
	
	$websites[] = array(
		'Url' => $_POST['url'],
		'Name' => "Your Website"
	);
	
	$websites[] = array(
		'Url' => $_POST['cmp1'],
		'Name' => "Competitor #1"
	);
	
	if($_POST['cmp2']) {
		$websites[] = array(
			'Url' => $_POST['cmp2'],
			'Name' => "Competitor #2"
		);
	}
	
	// Find pageranks //
	
	foreach($websites as $i=>$www) {
		$websites[$i]['PageRank'] = GooglePageRankChecker::getRank(@$www['Url']);
	}
	
	// Determine a 'score' for all of them. Just points.
	
	$highestScore = 0;
	$highestRow = null;
	
	foreach($websites as $i=>$www) {
		$pageRank = $www['PageRank'];
		
		$pageRankScore = $pageRank * 1; 	 // multiplier of 1
		
		$score = $backlinkScore + $pageRankScore;
		
		$websites[$i]['Score'] = $score;
		
		if($score > $highestScore) {
			$highestScore = $score;
			$highestRow = $i;
		}
	}
	
	$website1 = round(($websites[0]['PageRank'] / 9) * 100);
	$website2 = round(($websites[1]['PageRank'] / 9) * 100);
	if($websites[2]) $website3 = round(($websites[2]['PageRank'] / 9) * 100);
?>

<div class="Column-3">
	<div class="Section <?php if($highestRow == 0) { ?>Blue<?php } else { ?>Gray<?php } ?>">
		<b class="HeaderTitle"><?=$websites[0]['Name'];?> Results</b>
		
		<p>You have a PageRank of <?=$websites[0]['PageRank'];?>.</p>
		<p>
			<div class="ProgressBar">
				<div class="Fill" style="width: <?=$website1;?>%;"></div>
			</div>
		</p>
		<p><?=$websites[0]['Url'];?></p>
	</div>
</div>

<div class="Column-3">
	<div class="Section <?php if($highestRow == 1) { ?>Blue<?php } else { ?>Gray<?php } ?>">
		<b class="HeaderTitle"><?=$websites[1]['Name'];?> Results</b>
		
		<p>They have a PageRank of <?=$websites[1]['PageRank'];?>.</p>
		<p>
			<div class="ProgressBar">
				<div class="Fill" style="width: <?=$website2;?>%;"></div>
			</div>
		</p>
		<p><?=$websites[1]['Url'];?></p>
	</div>
</div>

<?php if($websites[2]) { ?>

<div class="Column-3">
	<div class="Section <?php if($highestRow == 2) { ?>Blue<?php } else { ?>Gray<?php } ?>">
		<b class="HeaderTitle"><?=$websites[2]['Name'];?> Results</b>
		
		<p>They have a PageRank of <?=$websites[2]['PageRank'];?>.</p>
		<p>
			<div class="ProgressBar">
				<div class="Fill" style="width: <?=$website3;?>%;"></div>
			</div>
		</p>
		<p><?=$websites[2]['Url'];?></p>
	</div>
</div>

<?php } else { ?>

<div class="Column-3">
	<div class="Section <?php if($highestRow == 2) { ?>Blue<?php } else { ?>Gray<?php } ?>">
		<b class="HeaderTitle">No Competitor Chosen</b>
		
		<p>A score could not be decided. You did not provide a third competitor.</p>
		<p>
			<div class="ProgressBar">
				<div class="Fill" style="width: 0%;"></div>
			</div>
		</p>
	</div>
</div>

<?php } ?>

<div class="Clear"></div>

<p>
	Want to choose different links? <a href="index.php">Click here to go back.</a>
</p>

<?php
	require $path . "includes/footer.php";
?>
